com.sun.research.ws.wadl

## Class Include

- java.lang.Object
- - com.sun.research.ws.wadl.Include

    public class Include
    extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://wadl.dev.java.net/2009/02}doc" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="href" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <anyAttribute processContents='lax' namespace='##other'/>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected List<Doc>` `doc`
`protected String` `href`

### Constructor Summary

Constructors
Constructor and Description
`Include()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Doc>` `getDoc()` Gets the value of the doc property.
`String` `getHref()` Gets the value of the href property.
`Map<QName,String>` `getOtherAttributes()` Gets a map that contains attributes that aren't bound to any typed property on this class.
`void` `setHref(String value)` Sets the value of the href property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### doc

    protected List<Doc> doc

#### href

    protected String href

### Constructor Detail

#### Include

    public Include()

### Method Detail

#### getDoc

    public List<Doc> getDoc()

Gets the value of the doc property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the doc property.

For example, to add a new item, do as follows:

        getDoc().add(newItem);

Objects of the following type(s) are allowed in the list `Doc`

#### getHref

    public String getHref()

Gets the value of the href property.

Returns:
  possible object is `String`

#### setHref

    public void setHref(String value)

Sets the value of the href property.

Parameters:
  `value` - allowed object is `String`

#### getOtherAttributes

    public Map<QName,String> getOtherAttributes()

Gets a map that contains attributes that aren't bound to any typed property on this class.

the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

Returns:
  always non-null